//
//  IZegoFaceMaskCaptureProvider.h
//  zego脸基尼视频采集回调接口
//
//  Created by appplechang on 2022/9/20.
//

#pragma once

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>
#import "ZegoTypes.h"
#import "IZegoCharacter.h"

typedef void(^OnFaceMaskCaptureCallback)(id<MTLTexture> texture,
                                         int width,
                                         int height,
                                         int faceCount);

@protocol MTLTexture;
@protocol IZegoFaceMaskCaptureProvider <NSObject>

@required
- (void)setCharacter:(id<IZegoCharacter>)character;
- (void)startCaptureAvatar:(AvatarCaptureConfig*)config
                  callback:(OnFaceMaskCaptureCallback)callback;
- (void)stopCaptureAvatar;
@end

