//
//  ZegoAvatarLogUtil.h
//  ZegoAvatar
//
//  Created by lihua.wei on 2023/2/24.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface ZegoAvatarLogUtil : NSObject

+ (void)logDebug:(NSString *)filter file:(NSString *)file func:(const char*)func line:(int)line tag:(int)tag format:(NSString *)format, ...;
+ (void)logTraceInfo:(NSString *)filter  file:(NSString *)file func:(const char*)func line:(int)line tag:(int)tag format:(NSString*)format, ...;
+ (void)logTraceWarning:(NSString *)filter  file:(NSString *)file func:(const char*)func line:(int)line tag:(int)tag format:(NSString*)format, ...;
+ (void)logTraceError:(NSString *)filter file:(NSString *)file func:(const char*)func line:(int)line tag:(int)tag format:(NSString*)format, ...;

#define ZegoAvatarLogD(filterName,frmt,...) \
[ZegoAvatarLogUtil logDebug:filterName file:[NSString stringWithUTF8String:__FILE__] func:__FUNCTION__ line:__LINE__ tag:0  format:frmt, ##__VA_ARGS__]

#define ZegoAvatarLogI(filterName,frmt,...) \
[ZegoAvatarLogUtil logTraceInfo:filterName file:[NSString stringWithUTF8String:__FILE__] func:__FUNCTION__ line:__LINE__ tag:1215 format:frmt, ##__VA_ARGS__]

#define ZegoAvatarLogW(filterName,frmt,...) \
[ZegoAvatarLogUtil logTraceWarning:filterName file:[NSString stringWithUTF8String:__FILE__] func:__FUNCTION__ line:__LINE__ tag:1215  format:frmt, ##__VA_ARGS__]

#define ZegoAvatarLogE(filterName,frmt,...) \
[ZegoAvatarLogUtil logTraceError:filterName file:[NSString stringWithUTF8String:__FILE__] func:__FUNCTION__ line:__LINE__ tag:1215  format:frmt, ##__VA_ARGS__]

@end

NS_ASSUME_NONNULL_END
